
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #277

FTBS : audacious-plugins-3.3.4 - sndio.plugin uses strlcpy which is a libbsd function, so libbsd is

needed

April 09, 2013 22:05 - James Gregory Miller

Status: Closed Start date: April 09, 2013

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/sndio Estimated time: 0.50 hour

Target version: 3.4   

Affects version: 3.3.4   

Description

PRETTY_NAME="Ubuntu quantal (12.10)"

VERSION="12.10, Quantal Quetzal"

When building audacious-plugins-3.3.4, if the header files and library for sndio are found, 

Sndio (sndio):                          yes

 

Successfully compiled sndio.c (plugin).

sndio.plugin.o: In function `configure_win_ok_cb':

/home/Temp/Build/audacious-plugins-3.3.4/src/sndio/sndio.c:383: undefined reference to `strlcpy'

collect2: error: ld returned 1 exit status

strlcpy in Debian/Mint/Ubuntu is found in libdsd/libsd-dev, so when the checks for sndio are being performed the presence of libsd

and its header files should be checked, and -lbsd added to the LIBS in

audacious-plugins-3.3.4/src/sndio/Makefile

--- Makefile.OLD    2013-02-03 20:09:33.000000000 0000

++ Makefile    2013-04-09 17:58:38.830697691 +0100

@ -9,4 +9,4 @

CFLAGS += ${PLUGIN_CFLAGS}

 CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} -I../..

-LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${SNDIO_LIBS}

+LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${SNDIO_LIBS} -lbsd

History

#1 - April 10, 2013 01:53 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed for 3.4:

https://github.com/audacious-media-player/audacious-plugins/commit/f17617a38d8412ca30750775208733dc1287e122
